

.space-between{
    justify-content: space-between;
}

.btn-cart{
    color: white;
    font-weight: bold;
    padding: 0.8rem 1rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background-color: rgb(37, 157, 255);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.back-button{
    display: flex;
    justify-content: center;
    gap: 5px;
    align-items: center;
    padding: 1rem;
    color: rgb(0, 121, 255);
    background-color: white;
    border-radius: 7px;
    width: fit-content;
    cursor: pointer;
}

.product-details-card{
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
    padding: 2rem;
    border-radius: 5px;
    margin-bottom: 2rem;
}

.product-details-image{
    overflow: hidden;
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
}

.preview-images{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    img{
        border: 1px solid rgb(199, 199, 199);
        cursor: pointer;
    }
    img:focus-visible{
        border: 1px solid blue;
    }
}

.product-details-wrapper{
    display: grid;
    gap: 2rem;
    grid-template-columns: 1fr 2fr;
}

.product-tags{
    display: flex;
    gap: 1rem;
    p{
        padding: 1rem;
        font-size: 14px;
        background-color: rgb(242, 244, 248);
    }
}

.product-details-name{
    font-size: 36px;
    padding: 1rem 0;
}

.product-details-prices{
    display: flex;
    align-items: center;
    gap: 2rem;
    border-bottom: 1px solid rgb(200, 200, 200);
    h3{
        font-size: 31px;
    }
    p{
        padding: 1rem 0;
        font-size: 18px;
        text-decoration: line-through;
    }
}

.product-sizes-description{
    display: flex;
    flex-flow: column;
    gap: 1rem;
    padding: 1rem 0;
    border-bottom: 1px solid rgb(200, 200, 200);
}

.seller-link{
    cursor: pointer;
    font-weight: bold;
    color: blue;
    text-decoration: underline;
    padding: 1rem 0;
    border-bottom: 1px solid rgb(200, 200, 200);
}

.info-description{
    display: flex;
    border-bottom: 1px solid rgb(200, 200, 200);
    p{
        padding: 1rem;
        cursor: pointer;
    }
}

.active{
    border-bottom: 3px solid rgb(62, 62, 255);
}

.description-lists{
    // display: flex;
    flex-flow: column;
    gap: 1rem;
    padding: 1rem 0;
    display: none;
}

.active-content{
    display: flex;
}

.footer-wrapper{
    background-color: rgba(218, 230, 241, 0.616);
    bottom: 0;
    padding: 1rem;
    margin-bottom: 0;
    border-radius: 8px 8px 0 0;
}

@media screen and (max-width: 700px) {
    .product-details-wrapper{
        grid-template-columns: auto;
    }
}